/*
 * Created on December 12, 2003
 *
 * ConnectionFactoryImpl.java is used to test the J2EE Connector
 * as implemented by JOnAS. 
 * 
 */
package ersatz.resourceadapter;

import javax.resource.cci.ConnectionSpec;  // j2ee 1.5
/**
 * @author Bob Kruse
 *
 * used to test the J2EE Connector as implemented by JOnAS.
 *
 */
public class ConnectionSpecImpl 
	implements ConnectionSpec

{
    private String userName = "";
    private String passWord = ""; 
    String cName = "ConnectionSpecImpl";
    
    public ConnectionSpecImpl() {
    }
    public void setUserName(String u) {
        userName=u;
        Utility.log(cName+".setUserName="+u);
    }
    public void setPassword(String p) {
        passWord=p;
        Utility.log(cName+".setPassword="+p);
    }
    public String getUserName() {
        Utility.log(cName+".getUserName="+userName);
        return userName;
    }
    public String getPassword() {
        Utility.log(cName+".getPassword="+passWord);
        return passWord;
    }
}
